org.apache.pdfbox.preflight.annotation

## Class SquareCircleAnnotationValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidator
  - - org.apache.pdfbox.preflight.annotation.SquareCircleAnnotationValidator

Direct Known Subclasses:
  CircleAnnotationValidator, SquareAnnotationValidator

    public abstract class SquareCircleAnnotationValidator
    extends AnnotationValidator

Validation class for the Square/Circle Annotation

### Field Summary

Fields
`protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationSquareCircle` `pdSquareCircle` PDFBox object which wraps the annotation dictionary

### Fields inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`annotDictionary, ctx, pdAnnot`

### Constructor Summary

Constructors
Constructor and Description
`SquareCircleAnnotationValidator(PreflightContext ctx, org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationSquareCircle annotation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `checkIColors()` Return true if the IC field is present in the Annotation dictionary and if the RGB profile is used in the DestOutputProfile of the OutputIntent dictionary.
`boolean` `validate()` In addition of the AnnotationValidator.validate() method, this method executes the checkIColors method.

### Methods inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`checkActions, checkAP, checkCA, checkColors, checkFlags, checkMandatoryFields, checkPopup, checkSpecificMandatoryFields, searchRGBProfile, setFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pdSquareCircle

    protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationSquareCircle pdSquareCircle

PDFBox object which wraps the annotation dictionary

### Constructor Detail

#### SquareCircleAnnotationValidator

    public SquareCircleAnnotationValidator(PreflightContext ctx,
                                           org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationSquareCircle annotation)

### Method Detail

#### validate

    public boolean validate()
                     throws ValidationException

In addition of the AnnotationValidator.validate() method, this method executes the checkIColors method.

Overrides:
  `validate` in class `AnnotationValidator`
Returns:
  true if validation succeed, false otherwise.
Throws:
  `ValidationException`
See Also:
  `AnnotationValidator.validate()`

#### checkIColors

    protected boolean checkIColors()
                            throws ValidationException

Return true if the IC field is present in the Annotation dictionary and if the RGB profile is used in the DestOutputProfile of the OutputIntent dictionary.

Returns:
  the validation state of the IC field.
Throws:
  `ValidationException`